# Country porting requirements

Returns the country porting requirements.

```http
GET https://api.pozy.ai/v1/phone-numbers/port-in/requirements
```

- Area: Phone & voice / Phone Numbers
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `country` (string, required)
- `numberType` (string): one of local, mobile, national, toll_free

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/phone-numbers/port-in/requirements?country=US" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/phone-numbers/port-in/requirements?country=US", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/phone-numbers/port-in/requirements",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "country": "US",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `country`, string
- `numberType`, string
- `supported`, boolean
- `fields`, array of object
  - `requirementId`, string
  - `label`, string
  - `kind`, string: One of `text`, `date`, `address`, `file`, `action`
  - `description`, string
  - `example`, string
  - `acceptableValues`, array of string

```json
{
  "country": "US",
  "numberType": "string",
  "supported": true,
  "fields": [
    {
      "requirementId": "6296509a322aab288a61cc5d",
      "label": "string",
      "kind": "text",
      "description": "A short description",
      "example": "string",
      "acceptableValues": [
        "string"
      ]
    }
  ]
}
```
